#
# Please do not update/rebuild/touch this package before asking first
# neoclust and/or daviddavid
# This package is part of the KDE Stack.
#

%define major	0
%define libname	%mklibname %{name} %{major}
%define devname	%mklibname %{name} -d

%define rel 1

Name:		kgraphviewer
Version: 24.12.1
Release:	%mkrel %{rel}
Summary:	A GraphViz dot graph viewer for Plasma
License:	GPLv2+
Group:		Graphical desktop/KDE
Url:		https://apps.kde.org/kgraphviewer/
Source0:	https://download.kde.org/stable/release-service/%{version}/%{name}-%{version}.tar.xz

BuildRequires:	kf6-rpm-macros

BuildRequires:	cmake(Qt6Core)
BuildRequires:	cmake(Qt6Core5Compat)
BuildRequires:	cmake(Qt6DBus)
BuildRequires:	cmake(Qt6Gui)
BuildRequires:	cmake(Qt6PrintSupport)
BuildRequires:	cmake(Qt6Svg)
BuildRequires:	cmake(Qt6Widgets)

BuildRequires:	cmake(KF6CoreAddons)
BuildRequires:	cmake(KF6I18n)
BuildRequires:	cmake(KF6Parts)
BuildRequires:	cmake(KF6WidgetsAddons)
BuildRequires:	cmake(KF6DocTools)

BuildRequires:	desktop-file-utils
BuildRequires:	boost-devel
BuildRequires:	pkgconfig(libcgraph)

Requires:	graphviz

%description
KGraphViewer is a Graphviz DOT graph file viewer. Graphs are commonly
used in scientific domains and particularly in computer science.

Features:

  o Zooming
  o Threaded loading of several graphs in tabs
  o Saving of the recent files list
  o Manual reload of files
  o Display of a bird-eye view of the graph
  o Moving of the graph by dragging
  o Full featured printing
  o Perfect drawing of all graphviz example graphs
  o Automatically choose dot for directed graphs and neato for undirected
  o Possibility to use an arbitrary layout algo as soon as it produces
    xdot format
  o Automatic reloading with user confirmation of (externally) modified
    files (configurable)
  o Open new instances as new tabs in the old one (configurable)

%files -f %{name}.lang
%{_kf6_categoriesdir}/%{name}.*categories
%{_kf6_bindir}/%{name}
%{_kf6_applicationsdir}/org.kde.%{name}.desktop
%{_kf6_metainfodir}/org.kde.%{name}.appdata.xml
%{_kf6_datadir}/config.kcfg/*.kcfg
%{_kf6_iconsdir}/hicolor/*/*/%{name}.png
%{_kf6_plugindir}/parts/kgraphviewerpart.so

#----------------------------------------------------------------------------

%package -n	%{libname}
Summary:	Shared library for %{name}
Group:		System/Libraries

%description -n	%{libname}
This package contains shared library for %{name}.

%files -n %{libname}
%{_kf6_libdir}/lib%{name}.so.%{major}
#{_kf6_libdir}/lib%%{name}.so.%%{version}
%{_kf6_libdir}/lib%{name}.so.2*

#----------------------------------------------------------------------------

%package -n	%{devname}
Summary:	Development files for %{name}
Group:		Development/KDE and Qt
Requires:	%{libname} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}

%description -n	%{devname}
This package contains development files for %{name}.

%files -n %{devname}
%{_includedir}/%{name}/
%{_kf6_libdir}/libkgraphviewer.so
%{_kf6_libdir}/cmake/KGraphViewerPart/

#----------------------------------------------------------------------------

%prep
%setup -q

%build
%cmake_kf6
%cmake_build

%install
%cmake_install

%find_lang %{name} --with-html


%changelog
* Thu Jan 09 2025 daviddavid <daviddavid> 24.12.1-1.mga10
+ Revision: 2136554
- New version 24.12.1

* Thu Dec 12 2024 daviddavid <daviddavid> 24.12.0-1.mga10
+ Revision: 2123794
- New version 24.12.0

* Sun Nov 17 2024 daviddavid <daviddavid> 24.11.80-1.mga10
+ Revision: 2116351
- New version 24.11.80

* Mon Nov 11 2024 daviddavid <daviddavid> 24.08.3-1.mga10
+ Revision: 2114043
- New version 24.08.3

* Sun Oct 13 2024 daviddavid <daviddavid> 24.08.2-1.mga10
+ Revision: 2105542
- New version 24.08.2

* Mon Sep 16 2024 daviddavid <daviddavid> 24.08.1-1.mga10
+ Revision: 2097403
- New version 24.08.1

* Thu Aug 22 2024 daviddavid <daviddavid> 24.08.0-1.mga10
+ Revision: 2087602
- New version 24.08.0

* Sun Aug 11 2024 daviddavid <daviddavid> 24.07.90-1.mga10
+ Revision: 2085595
- New version 24.07.90
- says hello kgraphviewer to the kde-application stack

* Thu May 09 2024 daviddavid <daviddavid> 2.5.0-1.mga10
+ Revision: 2062965
- new version: 2.5.0
- switch to Qt6/KF6

* Thu Mar 23 2023 daviddavid <daviddavid> 2.4.3-7.mga9
+ Revision: 1950144
- rebuild for Qt5 5.15.7

* Wed Apr 06 2022 umeabot <umeabot> 2.4.3-6.mga9
+ Revision: 1846087
- Mageia 9 Mass Rebuild

* Thu Dec 17 2020 umeabot <umeabot> 2.4.3-5.mga8
+ Revision: 1658714
- Rebuild for new Qt5

* Thu May 28 2020 daviddavid <daviddavid> 2.4.3-4.mga8
+ Revision: 1588474
- switch appdata files to kf5_metainfo dir

* Sat Feb 15 2020 umeabot <umeabot> 2.4.3-3.mga8
+ Revision: 1524671
- Mageia 8 Mass Rebuild
+ wally <wally>
- build with new cmake macros

* Sat Mar 30 2019 umeabot <umeabot> 2.4.3-2.mga7
+ Revision: 1382396
- Qt5 Rebuild

* Wed Sep 19 2018 daviddavid <daviddavid> 2.4.3-1.mga7
+ Revision: 1266305
- new version: 2.4.3

* Sun Oct 08 2017 daviddavid <daviddavid> 2.4.2-1.mga7
+ Revision: 1170070
- new version: 2.4.2

* Sun Sep 17 2017 daviddavid <daviddavid> 2.4.0-1.mga7
+ Revision: 1154939
- initial package kgraphviewer


* Mon Nov 28 2011 Juan Luis Baptiste <juancho@mageia.org> 2.1.1-1mga2
- Cleanup for Mageia import

* Wed May 11 2011 Funda Wang <fwang@mandriva.org> 2.1.1-2mdv2011.0
+ Revision: 673596
- rebuild for new graphviz

* Mon Nov 15 2010 Funda Wang <fwang@mandriva.org> 2.1.1-1mdv2011.0
+ Revision: 597692
- new version 2.1.1
- new version 2.1

* Sat Jul 10 2010 Funda Wang <fwang@mandriva.org> 2.0.90-1mdv2011.0
+ Revision: 549922
- New version 2.0.90

* Fri Sep 11 2009 Thierry Vignaud <tv@mandriva.org> 2.0.2-5mdv2010.1
+ Revision: 438101
- rebuild

* Thu Jan 22 2009 Helio Chissini de Castro <helio@mandriva.com> 2.0.2-4mdv2009.1
+ Revision: 332662
- Update with latest tarball provided by extragear module

* Fri Jul 04 2008 Pixel <pixel@mandriva.com> 2.0.2-3mdv2009.0
+ Revision: 231503
- rpm filetriggers deprecates update_menus/update_scrollkeeper/update_mime_database/update_icon_cache/update_desktop_database/post_install_gconf_schemas
- do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

* Fri May 30 2008 Funda Wang <fwang@mandriva.org> 2.0.2-2mdv2009.0
+ Revision: 213224
- New version 2.0.2

* Tue May 13 2008 Funda Wang <fwang@mandriva.org> 2.0.1-1mdv2009.0
+ Revision: 206552
- New version 2.0.1

  + Nicolas Lécureuil <nlecureuil@mandriva.com>
    - Fix provides // Obsoletes
    - Fix File list to fit kde4 policy
    - Rename spec file and fix spec file
    - Use new policy name

* Sat Mar 08 2008 Nicolas Lécureuil <nlecureuil@mandriva.com> 2.0-1mdv2008.1
+ Revision: 182322
- New version 2.0

* Sun Dec 30 2007 Funda Wang <fwang@mandriva.org> 1.99.1-1mdv2008.1
+ Revision: 139425
- import SOURCES and SPECS
- create kde4-kgraphviewer


* Mon Jul 10 2006 Laurent MONTEL <lmontel@mandriva.com> 1.0.2-1 
- 1.0.2

* Sat Jun 24 2006 Laurent MONTEL <lmontel@mandriva.com> 1.0.1-1 
- 1.0.1

* Mon May 29 2006 Nicolas Lécureuil <neoclust@mandriva.org> 1.0-0.rc1.4mdv2007.0
- Add BuildRequires

* Mon May 29 2006 Laurent MONTEL <lmontel@mandriva.com> 1.0-0.rc1.3
- Add requires

* Sun May 28 2006 Laurent MONTEL <lmontel@mandriva.com> 1.0-0.rc1.2
- Fix buildrequires

* Sun May 28 2006 Laurent MONTEL <lmontel@mandriva.com> 1.0-0.rc1.1
- 1.0rc1

* Tue May 23 2006 Laurent MONTEL <lmontel@mandriva.com> 0.9-1
- 0.9

* Sun May 21 2006 Laurent MONTEL <lmontel@mandriva.com> 0.8-1
- I don't understand how this package was created previously... => fix spec file

* Sun Apr 23 2006 Lev Givon <lev@mandriva.org> 0.3.2-1mdk
- Initial Mandriva package.

